using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Iva
{
    internal class Program
    {

        static bool proveri(List<long> lista, long n)
        {
            long br = 0;
            if (n == 1)
            {
                return true;
            }
            for(int i=0;i<n;i++)
            {
                if (lista[i] > lista[i+1])
                    br++;
                if (br > 1)
                    return false;
            }
            return true;
        }
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            long[] pokloni = Array.ConvertAll(Console.ReadLine().Split(' '), long.Parse);
            long q = long.Parse(Console.ReadLine());
            string[] izlaz = new string[q];
            for(long i=0;i<q;i++)
            {
                string[] pom = Console.ReadLine().Split(' ');
                long l = long.Parse(pom[0]);
                long r = long.Parse(pom[1]);
                var lista = new List<long>();
                for (long j = l - 1; j < r; j++)
                    lista.Add(pokloni[j]);
                if (proveri(lista, r - l))
                    izlaz[i] = "DA";
                else
                    izlaz[i] = "NE";
            }
            foreach(string el in izlaz)
            {
                Console.WriteLine(el);
            }
            Console.ReadLine();
        }
    }
}